
/* the following states are mutually exclusive */
#define	MST_UNDEF	0x0000		/* user's micro_state is undefined */
#define	MST_INIT	0x0001		/* ... doing start-up initialization */
#define	MST_GETTASK	0x0002		/* ... waiting for task assignment */
#define	MST_ITDLY	0x0003		/* ... inter-task delay */
#define	MST_INITTASK	0x0004		/* ... initializing task */
#define	MST_USERCODE	0x0005		/* ... SQAVu user code */
#define	MST_THINK	0x0006		/* ... thinking */
#define	MST_TYPE	0x0007		/* ... typing */
#define	MST_WAITRESP	0x0008		/* ... waiting for response */
#define	MST_DSPLYRESP	0x0009		/* ... displaying response */
#define	MST_PMATCH	0x000A		/* ... matching response (precv) */
#define	MST_DELAY	0x000B		/* ... user requested delay() */
#define	MST_SHVBLCK	0x000C		/* ... blocked from shv access */
#define	MST_SHVWAIT	0x000D		/* ... user requested shv wait */
#define	MST_SUSPENDED	0x000E		/* ... suspended */
#define	MST_CLEANUP	0x000F		/* ... cleaning up */
#define	MST_EXITED	0x0010		/* ... exited */
#define MST_XCLNTCONN	0x0011		/* ... waiting on X client connection */
#define MST_WATCH	0x0012		/* ... interactive -W watch/rerecord */
#define MST_SHVREAD	0x0013		/* ... V_VP: reading shared variable */
#define MST_XWINDUMP	0x0014		/* ... xwindow_diff dumping window */
#define MST_XWINCMP	0x0015		/* ... xwindow_diff comparing windows */
#define MST_BUTTON	0x0016		/* ... X button action */
#define MST_MOTION	0x0017		/* ... X motion */
#define MST_XQUERY	0x0018		/* ... X query function */
#define MST_XSYNC	0x0019		/* ... X sync state during X query */
#define MST_XMOVEWIN	0x001A		/* ... X move window */
#define MST_XCLNTDISC	0x001B		/* ... waiting on X client disconnect */
#define MST_EXTERN_C	0x001C		/* ... executing external C code */
#define MST_SQLEXEC	0x001D		/* ... executing SQL statements */
#define MST_SATEXEC	0x001E		/* ... executing satellite script */
#define MST_CPUDLY	0x001F		/* ... cpu delay */
#define MST_FIND        0x0020          /* ... find_text / find_point */
#define MST_TEST        0x0021          /* ... testcase, emulate */
#define MST_SEND        0x0022          /* ... http/socket send */
#define MST_TUXEDO      0x0023          /* ... Tuxedo execution */
#define MST_SQABASIC_CODE 0x0024        /* ... running SQABasic code */
#define MST_EXITSQABASIC 0x0025         /* ... exited SQABasic code */
#define MST_WAITOBJ	0x0026          /* ... SQABasic: waiting for object  */
#define MST_STARTAPP	0x0027          /* ... SQABasic: starting app */
#define MST_BIND	0x0028          /* ... iiop_bind in progress */
#define MST_IIOP_INVOKE	0x0029          /* ... iiop_invoke in progress */
#define MST_SEND_DELAY  0x002A          /* ... line_speed delay in send */
#define MST_RECV_DELAY  0x002B          /* ... line_speed delay in recv */
#define MST_TRN_PACING  0x002C          /* ... transactor pacing delay */
#define MST_COM_CREATE_OBJECT 0x002D    /* ... CoCreateInstance in progress */
#define MST_COM_CALL_METHOD   0x002E    /* ... method call on COM interface is in progress */
#define N_MST_INCL	0x2F		/* number of above basic states */

#define MST_GETFILE	MST_GETTASK
